Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractPanelMenuGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractPanelMenuItem
                          org.richfaces.component.AbstractPanelMenuGroup

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxProps

Direct Known Subclasses:
  UIPanelMenuGroup

    public abstract class AbstractPanelMenuGroup

extends AbstractPanelMenuItem

The <rich:panelMenuGroup> component defines a group of <rich:panelMenuItem> components inside a <rich:panelMenu>.

Author:
  akolonitsky

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`protected` | `AbstractPanelMenuGroup()`

Method Summary
`abstract String` | `getCollapseEvent()` The mouse event used for collapsing.
`String` | `getDisabledClass()` Space-separated list of CSS style class(es) to be applied to the panel menu group when it is disabled.
`abstract String` | `getExpandEvent()` The mouse event used for expansion.
`String` | `getFamily()`
`abstract String` | `getHoverClass()` Space-separated list of CSS style class(es) to be applied to the panel menu group when it is hovered.
`String` | `getLeftCollapsedIcon()` The icon displayed on the left of the menu group label when the group is collapsed
`String` | `getLeftDisabledIcon()` The icon displayed on the left of the menu group label when the group is disabled
`String` | `getLeftExpandedIcon()` The icon displayed on the left of the menu group label when the group is expanded
`abstract String` | `getLeftIcon()` The icon displayed on the left of the menu item label
`abstract String` | `getLeftIconClass()` Space-separated list of CSS style class(es) to be applied to the left icon of the panel menu group.
`abstract org.richfaces.PanelMenuMode` | `getMode()` Mode used for expanding/collapsing of this group: default value is inherited from panelMenu
`abstract String` | `getOnbeforecollapse()` The client-side script method to be called before the menu group is collapsed
`abstract String` | `getOnbeforedomupdate()` The client-side script method to be called after the ajax response comes back, but before the DOM is updated
`abstract String` | `getOnbeforeexpand()` The client-side script method to be called before the menu group is expanded
`abstract String` | `getOnbeforeselect()` The client-side script method to be called before the menu group is selected
`abstract String` | `getOnbeforeswitch()` The client-side script method to be called before the menu group is switched (toggled)
`abstract String` | `getOnclick()`
`abstract String` | `getOncollapse()` The client-side script method to be called after the menu group is collapsed
`abstract String` | `getOncomplete()` The client-side script method to be called after the DOM is updated
`abstract String` | `getOndblclick()`
`abstract String` | `getOnexpand()` The client-side script method to be called after the menu group is expanded
`abstract String` | `getOnmousedown()`
`abstract String` | `getOnmousemove()`
`abstract String` | `getOnmouseout()`
`abstract String` | `getOnmouseover()`
`abstract String` | `getOnmouseup()`
`abstract String` | `getOnselect()` The client-side script method to be called after the menu group is selected
`abstract String` | `getOnswitch()` The client-side script method to be called after the menu group is switched (toggled)
`abstract String` | `getOnunselect()` The client-side script method to be called after the menu group is unselected
`String` | `getRightCollapsedIcon()` The icon displayed on the right of the menu group label when the group is collapsed
`String` | `getRightDisabledIcon()` The icon displayed on the left of the menu group label when the group is disabled
`String` | `getRightExpandedIcon()` The icon displayed on the left of the menu group label when the group is expanded
`abstract String` | `getRightIcon()` The icon displayed on the right of the menu item label
`abstract String` | `getRightIconClass()` Space-separated list of CSS style class(es) to be applied to the right icon of the panel menu group.
`abstract Boolean` | `getSelectable()` Defines whenever the group is selectable.
`boolean` | `getState()`
`String` | `getStyleClass()`
`Boolean` | `getSubmittedExpanded()`
`boolean` | `hasActiveItem(javax.faces.component.UIComponent component, String activeItem)`
`Boolean` | `isExpanded()` Defines whenever this group is expanded
`boolean` | `isImmediate()`
`void` | `processDecodes(javax.faces.context.FacesContext context)`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`void` | `setDisabledClass(String disabledClass)`
`protected void` | `setEventPhase(javax.faces.event.FacesEvent event)`
`void` | `setExpanded(boolean expanded)`
`void` | `setImmediate(boolean immediate)`
`void` | `setLeftCollapsedIcon(String leftCollapsedIcon)`
`void` | `setLeftDisabledIcon(String leftDisabledIcon)`
`void` | `setLeftExpandedIcon(String leftExpandedIcon)`
`void` | `setRightCollapsedIcon(String rightCollapsedIcon)`
`void` | `setRightDisabledIcon(String rightDisabledIcon)`
`void` | `setRightExpandedIcon(String rightExpandedIcon)`
`void` | `setStyleClass(String styleClass)`
`void` | `setSubmittedExpanded(Object submittedValue)`
`void` | `setValueExpression(String name, javax.el.ValueExpression binding)`
`void` | `validate(javax.faces.context.FacesContext context)`

Methods inherited from class org.richfaces.component.AbstractPanelMenuItem
`getExecute, getLabel, getName, getPanelMenu, getParentItem, getStyle, getUnselectable, getValue, isActiveItem, isDisabled, isParentDisabled, isTopItem, setExecute, setLeftIcon, setName, setRightIcon, setValue`

Methods inherited from class org.richfaces.component.AbstractActionComponent
`isBypassUpdates, setBypassUpdates`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, removeActionListener, setAction, setActionExpression, setActionListener`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.attribute.AjaxProps
`getData, getOnbegin, getRender, getStatus, isLimitRender`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractPanelMenuGroup

    protected AbstractPanelMenuGroup()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractPanelMenuItem`

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Overrides:
    `processDecodes` in class `javax.faces.component.UIComponentBase`

### validate

    public void validate(javax.faces.context.FacesContext context)

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `AbstractActionComponent`

### setEventPhase

    protected void setEventPhase(javax.faces.event.FacesEvent event)

### getSubmittedExpanded

    public Boolean getSubmittedExpanded()

### setSubmittedExpanded

    public void setSubmittedExpanded(Object submittedValue)

### isExpanded

    public Boolean isExpanded()

  Defines whenever this group is expanded

### setExpanded

    public void setExpanded(boolean expanded)

### setValueExpression

    public void setValueExpression(String name,
                                   javax.el.ValueExpression binding)

  Overrides:
    `setValueExpression` in class `javax.faces.component.UIComponent`

### isImmediate

    public boolean isImmediate()

  Specified by:
    `isImmediate` in interface `javax.faces.component.ActionSource`
  Overrides:
    `isImmediate` in class `javax.faces.component.UICommand`

### setImmediate

    public void setImmediate(boolean immediate)

  Specified by:
    `setImmediate` in interface `javax.faces.component.ActionSource`
  Overrides:
    `setImmediate` in class `javax.faces.component.UICommand`

### getSelectable

    public abstract Boolean getSelectable()

  Defines whenever the group is selectable.

  Specified by:
    `getSelectable` in class `AbstractPanelMenuItem`

### getMode

    public abstract org.richfaces.PanelMenuMode getMode()

  Mode used for expanding/collapsing of this group: default value is inherited from panelMenu

  Specified by:
    `getMode` in class `AbstractPanelMenuItem`

### getCollapseEvent

    public abstract String getCollapseEvent()

  The mouse event used for collapsing.

### getExpandEvent

    public abstract String getExpandEvent()

  The mouse event used for expansion.

### getLeftCollapsedIcon

    public String getLeftCollapsedIcon()

  The icon displayed on the left of the menu group label when the group is collapsed

### setLeftCollapsedIcon

    public void setLeftCollapsedIcon(String leftCollapsedIcon)

### getLeftDisabledIcon

    public String getLeftDisabledIcon()

  The icon displayed on the left of the menu group label when the group is disabled

  Overrides:
    `getLeftDisabledIcon` in class `AbstractPanelMenuItem`

### setLeftDisabledIcon

    public void setLeftDisabledIcon(String leftDisabledIcon)

  Overrides:
    `setLeftDisabledIcon` in class `AbstractPanelMenuItem`

### getLeftExpandedIcon

    public String getLeftExpandedIcon()

  The icon displayed on the left of the menu group label when the group is expanded

### setLeftExpandedIcon

    public void setLeftExpandedIcon(String leftExpandedIcon)

### getRightCollapsedIcon

    public String getRightCollapsedIcon()

  The icon displayed on the right of the menu group label when the group is collapsed

### setRightCollapsedIcon

    public void setRightCollapsedIcon(String rightCollapsedIcon)

### getRightDisabledIcon

    public String getRightDisabledIcon()

  The icon displayed on the left of the menu group label when the group is disabled

  Overrides:
    `getRightDisabledIcon` in class `AbstractPanelMenuItem`

### setRightDisabledIcon

    public void setRightDisabledIcon(String rightDisabledIcon)

  Overrides:
    `setRightDisabledIcon` in class `AbstractPanelMenuItem`

### getRightExpandedIcon

    public String getRightExpandedIcon()

  The icon displayed on the left of the menu group label when the group is expanded

### setRightExpandedIcon

    public void setRightExpandedIcon(String rightExpandedIcon)

### getOncollapse

    public abstract String getOncollapse()

  The client-side script method to be called after the menu group is collapsed

### getOnexpand

    public abstract String getOnexpand()

  The client-side script method to be called after the menu group is expanded

### getOnswitch

    public abstract String getOnswitch()

  The client-side script method to be called after the menu group is switched (toggled)

### getOnbeforecollapse

    public abstract String getOnbeforecollapse()

  The client-side script method to be called before the menu group is collapsed

### getOnbeforeexpand

    public abstract String getOnbeforeexpand()

  The client-side script method to be called before the menu group is expanded

### getOnbeforeswitch

    public abstract String getOnbeforeswitch()

  The client-side script method to be called before the menu group is switched (toggled)

### getDisabledClass

    public String getDisabledClass()

  Space-separated list of CSS style class(es) to be applied to the panel menu group when it is disabled.

  Overrides:
    `getDisabledClass` in class `AbstractPanelMenuItem`

### setDisabledClass

    public void setDisabledClass(String disabledClass)

  Overrides:
    `setDisabledClass` in class `AbstractPanelMenuItem`

### getHoverClass

    public abstract String getHoverClass()

  Space-separated list of CSS style class(es) to be applied to the panel menu group when it is hovered.

### getLeftIconClass

    public abstract String getLeftIconClass()

  Space-separated list of CSS style class(es) to be applied to the left icon of the panel menu group.

  Specified by:
    `getLeftIconClass` in class `AbstractPanelMenuItem`

### getRightIconClass

    public abstract String getRightIconClass()

  Space-separated list of CSS style class(es) to be applied to the right icon of the panel menu group.

  Specified by:
    `getRightIconClass` in class `AbstractPanelMenuItem`

### getLeftIcon

    public abstract String getLeftIcon()

  Description copied from class: `AbstractPanelMenuItem`
  The icon displayed on the left of the menu item label

  Overrides:
    `getLeftIcon` in class `AbstractPanelMenuItem`

### getRightIcon

    public abstract String getRightIcon()

  Description copied from class: `AbstractPanelMenuItem`
  The icon displayed on the right of the menu item label

  Overrides:
    `getRightIcon` in class `AbstractPanelMenuItem`

### getStyleClass

    public String getStyleClass()

  Overrides:
    `getStyleClass` in class `AbstractPanelMenuItem`

### setStyleClass

    public void setStyleClass(String styleClass)

  Overrides:
    `setStyleClass` in class `AbstractPanelMenuItem`

### getOnbeforedomupdate

    public abstract String getOnbeforedomupdate()

  Description copied from interface: `AjaxProps`
  The client-side script method to be called after the ajax response comes back, but before the DOM is updated

### getOncomplete

    public abstract String getOncomplete()

  Description copied from interface: `AjaxProps`
  The client-side script method to be called after the DOM is updated

### getOnclick

    public abstract String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractPanelMenuItem`

### getOndblclick

    public abstract String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractPanelMenuItem`

### getOnmousedown

    public abstract String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractPanelMenuItem`

### getOnmousemove

    public abstract String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractPanelMenuItem`

### getOnmouseout

    public abstract String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractPanelMenuItem`

### getOnmouseover

    public abstract String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractPanelMenuItem`

### getOnmouseup

    public abstract String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractPanelMenuItem`

### getOnunselect

    public abstract String getOnunselect()

  The client-side script method to be called after the menu group is unselected

  Specified by:
    `getOnunselect` in class `AbstractPanelMenuItem`

### getOnselect

    public abstract String getOnselect()

  The client-side script method to be called after the menu group is selected

  Specified by:
    `getOnselect` in class `AbstractPanelMenuItem`

### getOnbeforeselect

    public abstract String getOnbeforeselect()

  The client-side script method to be called before the menu group is selected

  Specified by:
    `getOnbeforeselect` in class `AbstractPanelMenuItem`

### hasActiveItem

    public boolean hasActiveItem(javax.faces.component.UIComponent component,
                                 String activeItem)

### getState

    public boolean getState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.